import pygame
from pygame.locals import *

class Gui(pygame.sprite.Group):    
    
    def __init__(self, clock):
        pygame.sprite.Group.__init__(self)
        self.setupHealth((750,50), 3, 75)
        self.setupTimer((100,600), clock)
        self.alive = True
    
    def setupHealth(self, xbarfirst, count, spacing): 
        healthImage = pygame.image.load('health.png') 
        x = xbarfirst[0]        
        y = xbarfirst[1]
        self.healthSprites = []
        for i in range(count):
            temp = pygame.sprite.Sprite(self)
            temp.image = healthImage
            temp.rect = healthImage.get_rect()
            temp.rect.center = (x,y)
            self.healthSprites.append(temp)
            x-= spacing
        self.health_left = 3
            
    def gotBit(self):
        self.healthSprites[self.health_left-1].kill()
        self.health_left -= 1
        if self.health_left == 0:
            self.outOfHealth()
            return True
        else:
            return False
            
    def outOfHealth(self):
        self.alive = False
    
    def setupTimer(self, xbar, clock):
        temp = pygame.sprite.Sprite(self) 
        self.clock = clock
        self.time = 0
        self.font = pygame.font.Font(None, 30)
        temp.image = self.font.render("Starting Timer", 1, (0,255,0))
        temp.rect = temp.image.get_rect()
        temp.rect.center = xbar
        self.timeSprite = temp
        
    def update(self):
        if self.alive:
            self.time += self.clock.get_time()/1E3
            self.text = "Time Alive: " + "{:5.1f}".format(self.time) + " s"
            self.timeSprite.image = self.font.render( self.text, 1, (0,255,0))
        else:
            self.text = "GAME OVER: Survived " + "{:5.1f}".format(self.time) + " s"
            self.timeSprite.image = self.font.render( self.text, 1, (255, 0,0))